<template>
  <span class="absolute left-0 top-1/2 transform -translate-y-1/2 z-20 rounded-full h-6 w-6 block  -ml-8">
    <div class="tooltip tooltip-top !break-words  whitespace-pre-wrap	 block break-all relative text-xs text-left w-full" :data-tip="message">
          <svg class="fill-current text-red-500 w-full h-full" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M13,13H11V7H13M13,17H11V15H13M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10,10 0 0,0 12,2Z" /></svg>
    </div>
  </span>
  <span class="relative mt-2 mb-3 block overflow-hidden rounded-md left-0 italic text-xs bg-black bg-opacity-5 text-red-600 w-full py-1 px-2">Pesan gagal dikirim</span>
</template>

<script setup lang="ts">
import helpers from "../../utils/helpers";

interface Props {
  isError?: boolean
  message?: any
}


let props = withDefaults(defineProps<Props>(), {
  isError: false,
  message: null,
});
</script>